routes/admin.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\DolenciaController;
use App\Http\Controllers\Admin\PlantaController;
use App\Http\Controllers\Admin\DispositivoController;
use App\Http\Controllers\Admin\LimiteController;
use App\Http\Controllers\Admin\CursoController;
use App\Http\Controllers\Admin\LeccionController;
use App\Http\Controllers\User\UserController;
use App\Http\Controllers\Admin\ConfiguracionController;


Route::get('/', [DolenciaController::class, 'index']);
Route::resource('dolencias', DolenciaController::class)->except(['show']);
Route::resource('plantas', PlantaController::class)->except(['show']);
Route::resource('dispositivos', DispositivoController::class);
Route::resource('limites', LimiteController::class);
Route::resource('cursos', CursoController::class);
Route::resource('lecciones', LeccionController::class);
Route::resource('users', UserController::class);
Route::resource('parametros', ConfiguracionController::class);

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
require 'admin.php';
Route::get('/', function () {
    return view('welcome');
});

app/Models/Planta.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Transformers\PlantaTransformer;

class Planta extends Model
{
    use HasFactory,SoftDeletes;
    protected $dates=['delete_at'];
    protected $fillable =[
        'dolencia_id','nombre','descripcion'
    ];

    protected $hidden = ['created_at','updated_at','deleted_at'];

    public $transformer = PlantaTransformer::class;

    public function getImagenAttribute($imagen){
        return asset($imagen);
    }

    public function dolencia()
    {
        return $this->belongsTo(Dolencia::class);
    }

    public function cursos()
    {
        return $this->hasMany(Curso::class);
    }

    public function limites()
    {
        return $this->hasMany(Limite::class);
    }

    public function registroseriales()
    {
        return $this->hasMany(Registroserial::class);
    }
}

app/Http/Controllers/Admin/PlantaController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Api\ApiController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Models\Dolencia;
use App\Models\Planta;
use App\Http\Requests\StorePlanta;

class PlantaController extends ApiController
{


    const INDEX='plantas.index';
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $dolencia = Dolencia::with('plantas')->findOrFail($request->dolencia);
         
        if ($request->expectsJson()) {
            return $this->showOneMany('Datos encontrados', $dolencia);
        } else {
            return view('admin.planta.index', compact('dolencia'));
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        //
        $dolencia_id=$request->input('dolencia');
        return view('admin.planta.create', compact('dolencia_id'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StorePlanta $request)
    {
        //
        $atributos=$request->all();        
        Planta::create($atributos);
        return redirect()->route(self::INDEX, ['dolencia'=>$request->input('dolencia_id')])->with('info', 'Planta creada con exito');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request, Planta $planta)
    {
        //
        if ($request->expectsJson()) {
            $planta=Planta::with('dolencia')->findOrFail($planta->id);
            return $this->showOne('Dato encontrado', $planta);
        }
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Planta $planta)
    {
        return view('admin.planta.edit', compact('planta'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Planta $planta)
    {
        $request->validate([
            'nombre'=> 'required',
            'descripcion'=> 'required',            
        ]);
        
        $atributos=$request->all();
       
        
        $planta->update($atributos);
        return redirect()->route(self::INDEX, ['dolencia'=>$planta->dolencia_id])->with('info', 'Planta editada con exito');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Planta $planta)
    {
        $dolencia_id=$planta->dolencia_id;
        Storage::delete($planta->imagen);
        $planta->delete();
        
        return redirect()->route(self::INDEX, ['dolencia'=>$dolencia_id])->with('info', 'Planta eliminada con exito');
    }
}

resources/views/admin/planta/create.blade.php
@extends('adminlte::page')

@section('title', 'Cultivo Urbano IoT')

@section('content_header')
<h1>Crear Planta </h1>
@stop

@section('content')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{{route('dolencias.index')}}">Dolencias</a></li>
      <li class="breadcrumb-item"><a href="{{route('plantas.index', ['dolencia'=>$dolencia_id])}}">Plantas</a></li>
      <li class="breadcrumb-item active" aria-current="page">Crear</li>
    </ol>
  </nav>

    <div class="container">
        <div class="card">
            <div class="card-body">
                {!!Form::open(['route'=>'plantas.store'])!!}
                {!!Form::hidden('dolencia_id',$dolencia_id)!!}
                <div class="form-group">
                    {!! Form::label('name', 'Nombre Planta') !!}
                    {!! Form::text('nombre', null, ['class' => 'form-control']) !!}
                    @error('nombre')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
                <div class="form-group">
                    {!! Form::label('name', 'Descripción') !!}
                    {!! Form::textarea('descripcion', null, ['class' => 'form-control','id'=>'summernote']) !!}
                    @error('description')
                        <span class="text-danger">{{$message}}</span>
                    @enderror
                </div>
               
                {!! Form::submit('Guardar', ['class'=>'btn btn-primary']) !!}
                {!!Form::close([])!!}
            </div>
        </div>
    </div>
@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
<script type="text/javascript">
    $('#summernote').summernote({
        height: 400
    });
</script>
@stop

resources/views/admin/planta/edit.blade.php
@extends('adminlte::page')

@section('title', 'Cultivo Urbano IoT')

@section('content_header')
<h1>Editar Planta </h1>
@stop

@section('content')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{route('dolencias.index')}}">Dolencias</a></li>
        <li class="breadcrumb-item"><a href="{{route('plantas.index', ['dolencia'=>$planta->dolencia_id])}}">Plantas</a>
        </li>
        <li class="breadcrumb-item active" aria-current="page">Editar</li>
    </ol>
</nav>
<div class="container">
    <div class="card">
        <div class="card-body">
            {!!Form::model($planta,['route'=>['plantas.update',$planta],'method'=>'put', 'files' => true])!!}
            <div class="form-group">
                {!! Form::label('name', 'Nombre Planta') !!}
                {!! Form::text('nombre', null, ['class' => 'form-control']) !!}
                @error('nombre')
                <span class="text-danger">{{$message}}</span>
                @enderror
            </div>

            <div class="form-group">
                {!! Form::label('name', 'Descripción') !!}
                {!! Form::textarea('descripcion', null, ['class' => 'form-control','id'=>'summernote']) !!}
                @error('description')
                <span class="text-danger">{{$message}}</span>
                @enderror
            </div>
            {!! Form::submit('Editar', ['class'=>'btn btn-primary']) !!}
            {!!Form::close([])!!}
        </div>
    </div>
</div>
@stop

@section('css')
<link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
<script type="text/javascript">
    $('#summernote').summernote({
        height: 400
    });
</script>
@stop

resources/views/admin/planta/index.blade.php
@extends('adminlte::page')

@section('title', 'Cultivo Urbano IoT')

@section('content_header')

@stop

@section('content')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{{route('dolencias.index')}}">Dolencias</a></li>
      <li class="breadcrumb-item active" aria-current="page">Plantas para el {{$dolencia->nombre}} </li>
    </ol>
  </nav>
                   <!-- Begin Page Content -->
                   <div class="container-fluid">

                    <!-- Page Heading -->
                    
                                 
                    @if(session('info'))            
                    <div class="row" id="alert_box">
                        <div class="col-12">
                            <div class="alert alert-success" role="alert">
                                <strong>{{session('info')}}</strong>
                            </div>
                        </div>
                    </div>
                    @endif

                    <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <a  class="btn btn-primary" role="button" href="{{route('plantas.create',['dolencia'=>$dolencia->id])}}">Crear</a>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" aria-describedby="Lista de registros de la sección"  >
                                    <thead>
                                        <tr>
                                            <th scope="col">Planta</th>                                            
                                            <th scope="col">Acciones</th>    
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th scope="col">Dolencia</th>                                            
                                            <th scope="col">Acciones</th>                                            
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        
                                        @foreach($dolencia->plantas as $planta)

                                        
                                        <tr>
                                            <td>{{$planta->nombre}}</td>                                            
                                            <td><div class="acciones">
                                                    <a href="{{route('plantas.edit',$planta)}}" class="tooltipped" data-position="bottom" data-toggle="tooltip" data-placement="top" title="Editar " >
                                                        <i class="fa fa-cog" aria-hidden="true"></i>
                                                    </a>
                                                    <a href ="{{route('limites.index',['planta'=>$planta->id])}}" class="tooltipped" data-position="bottom" data-toggle="tooltip" data-placement="top" title="Ver Limites" >
                                                        <i class="fas fa-traffic-light" aria-hidden="true"></i>                                                        
                                                    </a>
                                                    <a href ="{{route('cursos.index',['planta'=>$planta->id])}}" class="tooltipped" data-position="bottom" data-toggle="tooltip" data-placement="top" title="Ver Cursos" >
                                                        <i class="fas fa-book" aria-hidden="true"></i>                                                       
                                                    </a>
                                                    <a class="tooltipped" data-position="bottom"data-toggle="tooltip" data-placement="top" title="Eliminar" onclick="showConfirmDeleteModal('{{$planta->nombre}}', '{{route('plantas.destroy',$planta)}}')" >
                                                        <i class="fa fa-trash" aria-hidden="true"></i>
                                                    </a>
                                                </div>
                                            </td>
                                        </tr>  
                                        @endforeach                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- /.container-fluid -->

               
                    <!-- Modal -->
                    <div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Eliminar</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            </div>
                            <div class="modal-body">
                                Esta seguro de eliminar el registro <strong><span id="deleteName"></span>. 
                            </div>
                            <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <form method="POST" id="deleteForm" accept-charset="UTF-8" style="display:inline-block">
                                @csrf
                                @method('delete')                    
                                <button type="submit" class="btn btn-danger" value="Confirmar">Confirmar                    
                             </form>
                            </div>
                        </div>
                        </div>
                    </div>


@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
<script>
    $(document).ready(function() {
        $('#dataTable').DataTable();
    } ); 
    
    @if(session('info'))
    $( "#alert_box" ).fadeOut( 5000, function() {

    });

    @endif

    function showConfirmDeleteModal(name, url) 
        {
            var modal= $('#modal1').modal();       
            console.log(name)
            console.log(url)
            $('#deleteForm').prop('action', url);
            $('#deleteName').text(name);
            modal.modal('show');  
        }
    
    </script>
@stop